Skip to main content
`Ctrl`+`K`

# PetscObjectSAWsGrantAccess

Grants access of the data fields that have been published to SAWs called when the changes made during `PetscObjectSAWsTakeAccess()` are complete.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSAWsGrantAccess(PetscObject obj)

Collective

## Input Parameter

- obj - the `PetscObject` variable. This must be cast with a (`PetscObject`), for example, `PetscObjectSAWSRestoreAccess`((`PetscObject`)mat);

## Notes

This allows the webserve to change the published values.

## See Also

`PetscObjectSetName()`, `PetscObjectSAWsViewOff()`, `PetscObjectSAWsTakeAccess()`

## Level

advanced

## Location

src/sys/ams/pams.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages